[![DOI](https://joss.theoj.org/papers/10.21105/joss.04370/status.svg)](https://doi.org/10.21105/joss.04370)


<p align="center">
  <img src="docs/sphinx/images/logo.svg" width="600">
</p>
The Robust design optimization of renewable Hydrogen and dErIved energy cArrier systems (RHEIA) framework provides 
multi-objective optimization (deterministic and stochastic) and uncertainty quantification algorithms. 
These algorithms can be applied on hydrogen-based energy systems, which are included in RHEIA.
In addition, RHEIA allows to connect your own models to the algorithms as well.



Documentation
=============

The documentation is available at [readthedocs](https://rheia.readthedocs.io/en/latest/).

The framework is published in the [Journal of Open Source Software](https://joss.theoj.org/papers/10.21105/joss.04370#).

Cite the framework
==================

Please use the following to cite the framework when you use it:

```
Coppitters et al., (2022). RHEIA: Robust design optimization of renewable Hydrogen and dErIved energy cArrier systems. Journal of Open Source Software, 7(75), 4370, https://doi.org/10.21105/joss.04370
```

Bibtex entry:

```
@article{Coppitters2022,
  doi = {10.21105/joss.04370},
  url = {https://doi.org/10.21105/joss.04370},
  year = {2022},
  publisher = {The Open Journal},
  volume = {7},
  number = {75},
  pages = {4370},
  author = {Diederik Coppitters and Panagiotis Tsirikoglou and Ward De Paepe and Konstantinos Kyprianidis and Anestis Kalfas and Francesco Contino},
  title = {{RHEIA: Robust design optimization of renewable Hydrogen and dErIved energy cArrier systems}},
  journal = {Journal of Open Source Software}
}
```


Installation
============

RHEIA can be installed using ``pip``.
More information is available at the [Installation page](https://rheia.readthedocs.io/en/latest/installation.html) of the documentation.


License
=======

[MIT license](https://github.com/rheia-framework/RHEIA/blob/main/LICENSE)

Support
=======

Contact us for questions and feedback:

rheia.framework@gmail.com
